#include <stdio.h>
#include <stdlib.h>
#include <arpa/inet.h>

int main()
{
  unsigned short ii = 0x0102;

  unsigned char *ptr;

  /* ii = htons(ii); */

  ptr = (unsigned char *)&ii;  

  if (sizeof(ii) != 2) 
  {
    printf("size of short = %d, can't decide.\n", sizeof(ii));
    exit(1);
  }

  if ((*ptr == 0x01) && (*(ptr+1) == 0x02)) 
    printf ("Big endian.\n");
  else if ((*ptr == 0x02) && (*(ptr+1) == 0x01)) 
    printf ("Little endian.\n");
  else
    printf("Unknown type.\n");

  return 0;
}
